Skip to navigation

Update a mixture

Update a mixture. To change the parent mixture, set the parent mixture field and specify the desired final state for your ingredients. Benchling will recognize that any ingredients you specify that match ingredients on the parent mixture (based on component entity) are inherited. This can be seen on the returned ingredients[i].hasParent attribute.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mixture_idstringRequired

Request

This endpoint expects an object.
aliaseslist of stringsOptional
Aliases to add to the mixture
amountstringOptional

The positive numerical amount value of this mixture in string format (to preserve full precision). Pair with units. Supports scientific notation (1.23e4).

authorIdslist of stringsOptional
IDs of users to set as the mixture's authors.
customFieldsmap from strings to objectsOptional
Custom fields to add to the mixture. Every field should have its name as a key, mapping to an object with information about the value of the field.
entityRegistryIdstringOptional
fieldsmap from strings to objectsOptional

Schema fields to set on the mixture. Must correspond with the schema’s field definitions. Every field should have its name as a key, mapping to an object with information about the value of the field. If you are setting the parent mixture field here, you must also specify ingredients

folderIdstringOptional
ID of the folder that the entity is moved into
ingredientslist of objectsOptional

Desired final state for the ingredients on this mixture. Each ingredient you specify will be matched with the existing ingredients on the mixture based on the component entity, and Benchling will create, update, or delete this mixture’s ingredients so that the final state of this mixture’s ingredients matches your request. Benchling will recognize that any ingredients you specify that match ingredients on the parent mixture (based on component entity) are inherited. This can be seen on the returned ingredients[i].hasParent attribute.

namestringOptional
schemaIdstringOptional
unitsenumOptional

Response

OK
aliaseslist of stringsOptional
allowMeasuredIngredientsbooleanOptionalRead-only
Derived from the mixture's schema.
amountstringOptional

The positive numerical amount value of this mixture in string format (to preserve full precision). Pair with units. Supports scientific notation (1.23e4).

apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Mixture in the API.
archiveRecordobject or nullOptional
authorslist of objectsOptional
createdAtdatetimeOptionalRead-only
creatorobjectOptional
customFieldsmap from strings to objectsOptional
entityRegistryIdstring or nullOptional
fieldsmap from strings to objectsOptional
Mixtures can have up to one parent mixture field.
folderIdstring or nullOptional
idstringOptional
ingredientslist of objectsOptional
List of ingredients on this mixture.
modifiedAtdatetimeOptionalRead-only
namestringOptional
registrationOriginobject or nullOptional
registryIdstring or nullOptional
schemaobjectOptional
unitsenumOptional
webURLstringOptionalRead-only

Errors

400
Bad Request Error